Subject: bug#11301: 24.1.50; `define-minor-mode' should set `custom-mode-group' according to :group

From: Stefan Monnier <[email-masked]>
Date: Wed, 02 Jun 2021 09:25:18 -0400

> I've tried following the logic and history of the :group keyword in
> easy-mmode.el, and I'm not sure how that's supposed to work any more.
>
> `define-minor-mode' used to document taking a :group keyword, but that's
> been removed in:

Yes, it tried to be clever and guess the `:group` arg when none was
provided, but that guess was worse than the defaulting used by
`defcustom`.

Since the `:group` was only used for the `defcustom`, I just removed
this special handling.  It doesn't mean it doesn't work any more, but
now it's just another one of the keyword args that are simply passed
as-is to `defcustom`.

So this has no direct impact on whether or not `define-minor-mode`
should register the mode for use in `customize-mode` (which sounds like
a good idea).

        Stefan